Loading...
Searching...
No Matches
RDLog::CaptureErrorLog Class Reference

Convenience subclass of `CaptureLog` that captures `rdErrorLog`. More...

`#include <RDLog.h>`

Inheritance diagram for RDLog::CaptureErrorLog:

## Public Member Functions

| CaptureErrorLog ()
Public Member Functions inherited from RDLog::CaptureLog
| CaptureLog (RDLogger log)
| ~CaptureLog ()
std::string | messages () const
| Returns all messages captured since construction.

## Detailed Description

Convenience subclass of `CaptureLog` that captures `rdErrorLog`.

Definition at line 182 of file RDLog.h.

## Constructor & Destructor Documentation

## CaptureErrorLog()

RDLog::CaptureErrorLog::CaptureErrorLog | ( |  | ) |

inline

Definition at line 184 of file RDLog.h.

References RDLog::CaptureLog::CaptureLog(), and rdErrorLog.

The documentation for this class was generated from the following file:

- RDLog.h